невозможно установить программы

Затем я пытаюсь установить что-то с помощью apt-get install. Я получаю сообщение об ошибке.

dpkg: error processing package php7.3-bz2 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 php7.2-common
 php7.3-common
 php7.3-xmlrpc
 php7.2-curl
 grub-pc
 php7.3-dev
 php7.3-curl
 php7.2-mbstring
 php7.3-opcache
 php7.3-xml
 php7.2-readline
 php7.3-gd
 php7.2-cli
 php7.3-mysql
 php7.3-cli
 php7.2-json
 php7.2-cgi
 php7.3-readline
 php7.3-fpm
 php7.3-intl
 php7.3
 php7.2-opcache
 php7.2-mysql
 php7.2-gd
 php7.2-dev
 php7.2-xml
 php7.3-zip
 php7.2-xmlrpc
 php7.2-fpm
 php7.3-mbstring
 php7.2-zip
 php7.3-json
 php7.3-phpdbg
 php7.3-bz2
E: Sub-process /usr/bin/dpkg returned an error code (1)

ссылка на полный текст сообщения об ошибке https://pastebin.com/1GgmK9v4

Всего 1 ответ


mono-devel is already the newest version (6.8.0.105-0xamarin3+ubuntu1804b1).

Таким образом, пакет, который вы устанавливали, уже установлен правильно, однако у вас есть другие пакеты, которые not fully installed , как говорится в сообщении об ошибке.

Вы можете попытаться увидеть, какой процесс использует через

sudo fuser -v /var/cache/debconf/config.dat

и, вероятно, убить процесс с помощью kill -9 PID_ID

А затем используйте: apt install -f

разрешить эти зависимости.


Есть идеи?

10000